﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Linq.Expressions;
using System.Reactive.Linq;
using System.Text;
using System.Threading.Tasks;
using xReactor.Common;

namespace xReactor.WpfSample
{
    class MainWindowVM : ReactiveBase
    {
        private Property<Person> personProperty;
        public Person Person
        {
            get { return personProperty.Value; }
            set { personProperty.Value = value; }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="T:MainWindowVM"/> class.
        /// </summary>
        public MainWindowVM()
        {
            personProperty = Create(() => Person, new Person());
        }
    }
}
